import { IObservableValue } from 'mobx';
import { Run, Result } from 'sarif';
import { MobxFilter } from './FilterBar';
import { Rule, ResultOrRuleOrMore } from './Viewer.Types';
import { SortOrder } from 'azure-devops-ui/Table';
import { ITreeItem } from 'azure-devops-ui/Utilities/TreeItemProvider';
declare module 'sarif' {
    interface Run {
        _augmented: boolean;
        _rulesInUse: Map<string, Rule>;
        _agesInUse: Map<string, {
            results: any[];
            treeItem: any;
            name: string;
            isAge: boolean;
        }>;
    }
}
export declare enum SortRuleBy {
    Count = 0,
    Name = 1
}
export declare const isMatch: (field: string, keywords: string[]) => boolean;
export declare class RunStore {
    readonly run: Run;
    readonly logIndex: any;
    readonly filter: MobxFilter;
    readonly groupByAge?: IObservableValue<boolean>;
    readonly hideBaseline?: boolean;
    readonly showAge?: boolean;
    readonly hideLevel?: boolean;
    driverName: string;
    sortRuleBy: SortRuleBy;
    sortColumnIndex: number;
    sortOrder: SortOrder;
    constructor(run: Run, logIndex: any, filter: MobxFilter, groupByAge?: IObservableValue<boolean>, hideBaseline?: boolean, showAge?: boolean, hideLevel?: boolean);
    private filterHelper;
    get agesFiltered(): ITreeItem<ResultOrRuleOrMore>[];
    get rulesFiltered(): ITreeItem<ResultOrRuleOrMore>[];
    get filteredCount(): number;
    showAllRevision: number;
    rulesTruncated: ITreeItem<ResultOrRuleOrMore>[];
    get columns(): {
        id: string;
        text: string;
        filterString: (result: Result) => string;
        sortString: (result: Result) => string;
        width: number;
    }[];
}
